Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::MediaPlayer Class Reference
Inheritance diagram for foxit::pdf::MediaPlayer:

## Public Member Functions
| MediaPlayer (const MediaPlayer &other)
| Constructor, with another media player object. More...
| MediaPlayer (objects::PDFDictionary *media_player_dict=0)
| Constructor, with parameters. More...
| ~MediaPlayer ()
| Destructor.
objects::PDFDictionary * | GetDict () const
| Get the PDF dictionary of current object. More...
StringArray | GetOSIdentifiers () const
| Get the string array that represents operating system identifiers. More...
String | GetSoftwareURI () const
| Get software URI that identifies a piece of software. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const MediaPlayer &other) const
| Not equal operator. More...
MediaPlayer & | operator= (const MediaPlayer &other)
| Assign operator. More...
bool | operator== (const MediaPlayer &other) const
| Equal operator. More...
void | SetOSIdentifiers (const StringArray &identifier_array)
| Set the string array that represents operating system identifiers. More...
void | SetSoftwareURI (const String &uri)
| Get software URI that identifies a piece of software. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

Class MediaPlayer provides methods to access to information regarding a specific media player.

## Constructor & Destructor Documentation

## ◆ MediaPlayer() [1/2]

foxit::pdf::MediaPlayer::MediaPlayer | ( | objects::PDFDictionary * | media_player_dict = `0` | ) |

Constructor, with parameters.

Usually, a media player object should be only be added to a rendition object with specified media player type. User is not recommended to add the same media player object to different renditions or different media player types of one rendition; otherwise unexpected issues (such as crash) may occur later. If user does not want to construct another media player and set same values, user can clone the dictionary of original media player object and use the cloned dictionary to construct another media player directly.

Parameters

  [in] | media_player_dict | The PDF dictionary for a media player object. If this is NULL that means to construct a new media player object. Default value: NULL.

## ◆ MediaPlayer() [2/2]

foxit::pdf::MediaPlayer::MediaPlayer | ( | const MediaPlayer & | other | ) |

Constructor, with another media player object.

Parameters

  [in] | other | Another media player object.

## Member Function Documentation

## ◆ GetDict()

objects::PDFDictionary* foxit::pdf::MediaPlayer::GetDict | ( |  | ) | const

Get the PDF dictionary of current object.

Returns
  PDF dictionary of current object. If there is any error, this function will return NULL.

## ◆ GetOSIdentifiers()

StringArray foxit::pdf::MediaPlayer::GetOSIdentifiers | ( |  | ) | const

Get the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

Returns
  A string array that represents operating system identifiers. An empty array is considered to represent all operating systems.

## ◆ GetSoftwareURI()

String foxit::pdf::MediaPlayer::GetSoftwareURI | ( |  | ) | const

Get software URI that identifies a piece of software.

For more details, please refer to <PDF reference 1.7> P780 "Software URIs".

Returns
  Software URI.

## ◆ IsEmpty()

bool foxit::pdf::MediaPlayer::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::MediaPlayer::operator!= | ( | const MediaPlayer & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another media player object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

MediaPlayer& foxit::pdf::MediaPlayer::operator= | ( | const MediaPlayer & | other | ) |

Assign operator.

Parameters

  [in] | other | Another media player object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::MediaPlayer::operator== | ( | const MediaPlayer & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another media player object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SetOSIdentifiers()

void foxit::pdf::MediaPlayer::SetOSIdentifiers | ( | const StringArray & | identifier_array | ) |

Set the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

Parameters

  [in] | identifier_array | A string array that represents operating system identifiers. An empty array is considered to represent all operating systems.

Returns
  None.

## ◆ SetSoftwareURI()

void foxit::pdf::MediaPlayer::SetSoftwareURI | ( | const String & | uri | ) |

Get software URI that identifies a piece of software.

This property is necessary for a media player object. For more details, please refer to <PDF reference 1.7> P780 "Software URIs".

Parameters

  [in] | uri | Software URI. It should not be an empty string.

Returns
  None.